# purefa_smtp – Configure FlashArray SMTP settings

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Set or erase configuration for the SMTP settings.
- If username/password are set this will always force a change as there is no way to see if the password is different from the current SMTP configuration.
- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
password string |  | The SMTP password.
relay_host string |  | IPv4 or IPv6 address or FQDN. A port number may be appended.
sender_domain string |  | Domain name.

state
string

Choices:
- absent
- present ←

Set or delete SMTP configuration

user string |  | The SMTP username.

## Notes

Note

- This module requires the `purestorage` Python library
- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Delete existing SMTP settings
      purefa_smtp:
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Set SMTP settings
      purefa_smtp:
        sender_domain: purestorage.com
        password: account_password
        user: smtp_account
        relay_host: 10.2.56.78:2345
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.